#ifndef CLIPBOARD_H
#define CLIPBOARD_H

#include <QObject>

class Clipboard : public QObject
{
    Q_OBJECT
public:
    explicit Clipboard(QObject *parent = nullptr);
    QString getClipText();

private:
    QString clipText = "";
    bool scribeWordsDisabled = false;

signals:
    void selectWords();
public slots:
    void onScribeWordsDisabled();
    void onScribeWordsIsabled();
};

#endif // CLIPBOARD_H
